List monitors
List monitors for your organization.
GET
/
api
/
v1
/
monitors
List monitors
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/monitors"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"config": {},
"cadence_minutes": 123,
"last_run_at": "<string>",
"next_run_at": "<string>",
"consecutive_failures": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}GET /api/v1/monitors
List all monitors for your organization.List all monitors with pagination and optional status filtering.
Example
curl https://developer.thehog.ai/api/v1/monitors?status=active \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Query Parameters
⌘I
List monitors
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/monitors"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"config": {},
"cadence_minutes": 123,
"last_run_at": "<string>",
"next_run_at": "<string>",
"consecutive_failures": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}